获取 depMacOSEnrollmentProfile
命名空间:microsoft.graph
重要提示: /beta 版本下的 Microsoft Graph API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
读取 depMacOSEnrollmentProfile 对象的属性和关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
GET /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/defaultMacOsEnrollmentProfile
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码 和 depMacOSEnrollmentProfile 对象。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/defaultMacOsEnrollmentProfile
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1480
{
"value": {
"@odata.type": "#microsoft.graph.depMacOSEnrollmentProfile",
"id": "e433c95c-c95c-e433-5cc9-33e45cc933e4",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
"isDefault": true,
"supervisedModeEnabled": true,
"supportDepartment": "Support Department value",
"isMandatory": true,
"locationDisabled": true,
"supportPhoneNumber": "Support Phone Number value",
"profileRemovalDisabled": true,
"restoreBlocked": true,
"appleIdDisabled": true,
"termsAndConditionsDisabled": true,
"touchIdDisabled": true,
"applePayDisabled": true,
"siriDisabled": true,
"diagnosticsDisabled": true,
"displayToneSetupDisabled": true,
"privacyPaneDisabled": true,
"screenTimeScreenDisabled": true,
"deviceNameTemplate": "Device Name Template value",
"configurationWebUrl": true,
"registrationDisabled": true,
"fileVaultDisabled": true,
"iCloudDiagnosticsDisabled": true,
"passCodeDisabled": true,
"zoomDisabled": true,
"iCloudStorageDisabled": true,
"chooseYourLockScreenDisabled": true,
"accessibilityScreenDisabled": true,
"autoUnlockWithWatchDisabled": true
}
}
反馈
提交和查看相关反馈